vim.cmd.packadd('packer.nvim')

return require('packer').startup(function(use)
  -- Авто-установка пакетного менеджера
  use 'wbthomason/packer.nvim'

  -- Тема редактора
  use {
    'EdenEast/nightfox.nvim',
    config = function()
      vim.cmd('colorscheme carbonfox')
    end,
  }

  -- Статусная полоса
  use {
    'nvim-lualine/lualine.nvim',
    config = function()
      require('lualine').setup {
        sections = {
          lualine_a = { 'mode' },
          lualine_b = { 'branch', 'diff' },
          lualine_c = { 'filename' },
          lualine_x = { 'encoding', 'filetype', 'filesize' },
          lualine_y = { 'progress' },
          lualine_z = { 'location' },
        }
      }
    end,
  }

  -- Комментирование строк
  use {
    'numToStr/Comment.nvim',
    config = function()
      require('Comment').setup {}
    end,
  }

  -- Расширенная подсветка синтаксиса
  use 'nvim-treesitter/nvim-treesitter'

  -- Автоматическое закрытие скобок
  use {
    'windwp/nvim-autopairs',
    config = function()
      require('nvim-autopairs').setup {}
    end
  }
end)
